package cokr.xit.fims.cmmn.dao;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import cokr.xit.fims.cmmn.OutsourcingArtclStng;
import cokr.xit.fims.cmmn.OutsourcingForm;
import cokr.xit.fims.cmmn.OutsourcingStngQuery;
import cokr.xit.foundation.component.AbstractMapper;
import cokr.xit.foundation.data.DataObject;

@Mapper("outsourcingStngMapper")
public interface OutsourcingStngMapper extends AbstractMapper {
	/**지정한 조건에 따라 외주파일 출력 항목 설정을 조회한다.<br />
	 * @param query 출력물 설정 조회 조건
	 * @return 출력물 설정 항목
	 */
	List<DataObject> selectArtclStngList(OutsourcingStngQuery query);

	int updateArtclStng(OutsourcingArtclStng update);

	int deleteArtclStng(OutsourcingForm outsourcingForm);

	int insertArtclStng(OutsourcingArtclStng insert);
}